Page MenuHomePhabricator | MITK

[dashboard] mitkNavigationToolStorageSerializerAndDeserializerIntegrationTest fails randomly
Open, HighPublic

Description

The mitkNavigationToolStorageSerializerAndDeserializerIntegrationTest failed randomly on the MAC dart client. See the error messages here:

http://cdash.mitk.org/testDetails.php?test=7428523&build=410484

Event Timeline

User franza has pushed new remote branch:

bug-17181-RandomFailNavigationToolStorageSerializerAndDeserializerIntegrationTest

ready to merge, but wait for T17199 to get fixed before merging

Seems to work. I will activate the tests to see if the random fails still occure.

User wirkert has pushed new remote branch:

bug-17181-activate_tests_for_RandomFailNavigationToolStorageSerializerAndDeserializerIntegrationTest

[9cb03a]: Merge branch 'bug-17181-activate_tests_for_RandomFailNavigationToolSto

Merged commits:

2014-04-15 13:43:47 Sebastian Wirkert [6cf16d]
Reactivated disabled tests because we think random fails do not occur anymore.

User franza has pushed new remote branch:

bug-17181-DeactivateRandomFailTests

[88340a]: Merge branch 'bug-17181-DeactivateRandomFailTests'

Merged commits:

2014-04-30 18:11:06 Alfred Franz [ae0247]
COMP(#17181): Deactivated tests which failed randomly

New NavigationDataPlayer is now merged. This means we can start reactivating this bug. Maybe restructuring is necessary due to new NavigationDataPlayer.

(In reply to Sebastian Wirkert from comment #11)

New NavigationDataPlayer is now merged. This means we can start reactivating
this bug. Maybe restructuring is necessary due to new NavigationDataPlayer.

Sorry, this comment belongs to a different bug.

The test is currently deactivated, due to random (seldom) failage. Alfred says there has been much time invested, but it still shows this behaviour. He suggests to activate it on nightlies only. Ok?

User franza has pushed new remote branch:

bug-17181-ActivateExtendedTestsOnNightlyDartClient
franza added a comment.Sep 2 2015, 2:14 PM

[849348]: Merge branch 'bug-17181-ActivateExtendedTestsOnNightlyDartClient'

Merged commits:

2015-09-02 14:08:22 Alfred Franz [7cd962]
added new advanced cmake variable to activate reader/writer tests

kislinsk edited projects, added MITK (2016-11); removed MITK.Aug 1 2016, 10:48 PM
kislinsk moved this task from Backlog to IGT on the MITK (2016-11) board.Oct 28 2016, 10:06 AM
kislinsk edited projects, added MITK; removed MITK (2016-11).Feb 6 2017, 11:24 AM